diff --git a/guava-tests/test/com/google/common/collect/HashBasedTableTest.java b/guava-tests/test/com/google/common/collect/HashBasedTableTest.java
index 8a608ae..914e0bd 100644
--- a/guava-tests/test/com/google/common/collect/HashBasedTableTest.java
+++ b/guava-tests/test/com/google/common/collect/HashBasedTableTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
 
@@ -28,7 +26,6 @@ import com.google.common.testing.SerializableTester;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class HashBasedTableTest extends AbstractTableTest {
 
   @Override
@@ -91,13 +88,13 @@ public class HashBasedTableTest extends AbstractTableTest {
     assertEquals((Character) 'a', copy.get("foo", 1));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     table = create("foo", 1, 'a', "bar", 1, 'b', "foo", 3, 'c');
     SerializableTester.reserializeAndAssert(table);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerStatic() {
     new NullPointerTester().testAllPublicStaticMethods(HashBasedTable.class);
   }
diff --git a/guava-tests/test/com/google/common/collect/HashBiMapTest.java b/guava-tests/test/com/google/common/collect/HashBiMapTest.java
index 9541434..750df3b 100644
--- a/guava-tests/test/com/google/common/collect/HashBiMapTest.java
+++ b/guava-tests/test/com/google/common/collect/HashBiMapTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -38,7 +36,6 @@ import junit.framework.TestSuite;
  *
  * @author Mike Bostock
  */
-@GwtCompatible(emulated = true)
 public class HashBiMapTest extends TestCase {
 
   public static final class HashBiMapGenerator extends TestStringBiMapGenerator {
@@ -52,7 +49,7 @@ public class HashBiMapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
diff --git a/guava-tests/test/com/google/common/collect/HashMultimapTest.java b/guava-tests/test/com/google/common/collect/HashMultimapTest.java
index 6cde6c5..88c3402 100644
--- a/guava-tests/test/com/google/common/collect/HashMultimapTest.java
+++ b/guava-tests/test/com/google/common/collect/HashMultimapTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -33,10 +31,9 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class HashMultimapTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
diff --git a/guava-tests/test/com/google/common/collect/HashMultisetTest.java b/guava-tests/test/com/google/common/collect/HashMultisetTest.java
index 030c927..c68f0b0 100644
--- a/guava-tests/test/com/google/common/collect/HashMultisetTest.java
+++ b/guava-tests/test/com/google/common/collect/HashMultisetTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.google.MultisetFeature;
@@ -38,10 +36,9 @@ import junit.framework.TestSuite;
  * @author Kevin Bourrillion
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class HashMultisetTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -90,7 +87,7 @@ public class HashMultisetTest extends TestCase {
     assertEquals(2, multiset.count("foo"));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializationContainingSelf() {
     Multiset<Multiset<?>> multiset = HashMultiset.create();
     multiset.add(multiset, 2);
@@ -99,7 +96,7 @@ public class HashMultisetTest extends TestCase {
     assertSame(copy, copy.iterator().next());
   }
 
-  @GwtIncompatible // Only used by @GwtIncompatible code
+  // Only used by @GwtIncompatible code
   private static class MultisetHolder implements Serializable {
     public Multiset<?> member;
 
@@ -110,7 +107,7 @@ public class HashMultisetTest extends TestCase {
     private static final long serialVersionUID = 1L;
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializationIndirectSelfReference() {
     Multiset<MultisetHolder> multiset = HashMultiset.create();
     MultisetHolder holder = new MultisetHolder(multiset);
diff --git a/guava-tests/test/com/google/common/collect/HashingTest.java b/guava-tests/test/com/google/common/collect/HashingTest.java
index 5dfac47..dd8202a 100644
--- a/guava-tests/test/com/google/common/collect/HashingTest.java
+++ b/guava-tests/test/com/google/common/collect/HashingTest.java
@@ -16,11 +16,9 @@ package com.google.common.collect;
 
 import static com.google.common.collect.Hashing.smear;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /** Tests for {@code Hashing}. */
-@GwtCompatible
 public class HashingTest extends TestCase {
   public void testSmear() {
     assertEquals(1459320713, smear(754102528));
diff --git a/guava-tests/test/com/google/common/collect/ImmutableBiMapTest.java b/guava-tests/test/com/google/common/collect/ImmutableBiMapTest.java
index fa0a7c1..8f9e7fe 100644
--- a/guava-tests/test/com/google/common/collect/ImmutableBiMapTest.java
+++ b/guava-tests/test/com/google/common/collect/ImmutableBiMapTest.java
@@ -19,24 +19,17 @@ package com.google.common.collect;
 import static com.google.common.collect.testing.Helpers.mapEntry;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Equivalence;
 import com.google.common.base.Joiner;
-import com.google.common.collect.ImmutableBiMap.Builder;
 import com.google.common.collect.testing.MapInterfaceTest;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
-import com.google.common.collect.testing.google.BiMapGenerators.ImmutableBiMapCopyOfEntriesGenerator;
-import com.google.common.collect.testing.google.BiMapGenerators.ImmutableBiMapCopyOfGenerator;
-import com.google.common.collect.testing.google.BiMapGenerators.ImmutableBiMapGenerator;
 import com.google.common.collect.testing.google.BiMapInverseTester;
 import com.google.common.collect.testing.google.BiMapTestSuiteBuilder;
 import com.google.common.collect.testing.google.TestStringBiMapGenerator;
 import com.google.common.testing.CollectorTester;
 import com.google.common.testing.SerializableTester;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.AbstractMap;
 import java.util.Arrays;
 import java.util.Collections;
@@ -57,12 +50,11 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ImmutableBiMapTest extends TestCase {
 
   // TODO: Reduce duplication of ImmutableMapTest code
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
 
@@ -237,7 +229,6 @@ public class ImmutableBiMapTest extends TestCase {
       assertMapEquals(map.inverse(), 1, "one", 2, "two", 3, "three", 4, "four", 5, "five");
     }
 
-    @GwtIncompatible
     public void testBuilderExactlySizedReusesArray() {
       ImmutableBiMap.Builder<Integer, Integer> builder = ImmutableBiMap.builderWithExpectedSize(10);
       Entry<Integer, Integer>[] builderArray = builder.entries;
@@ -752,13 +743,13 @@ public class ImmutableBiMapTest extends TestCase {
       assertSame(bimap, bimap.inverse().inverse());
     }
 
-    @GwtIncompatible // SerializableTester
+    // SerializableTester
     public void testEmptySerialization() {
       ImmutableBiMap<String, Integer> bimap = ImmutableBiMap.of();
       assertSame(bimap, SerializableTester.reserializeAndAssert(bimap));
     }
 
-    @GwtIncompatible // SerializableTester
+    // SerializableTester
     public void testSerialization() {
       ImmutableBiMap<String, Integer> bimap =
           ImmutableBiMap.copyOf(ImmutableMap.of("one", 1, "two", 2));
@@ -768,7 +759,7 @@ public class ImmutableBiMapTest extends TestCase {
       assertSame(copy, copy.inverse().inverse());
     }
 
-    @GwtIncompatible // SerializableTester
+    // SerializableTester
     public void testInverseSerialization() {
       ImmutableBiMap<String, Integer> bimap =
           ImmutableBiMap.copyOf(ImmutableMap.of(1, "one", 2, "two")).inverse();
@@ -869,7 +860,6 @@ public class ImmutableBiMapTest extends TestCase {
         }
       };
 
-      @CanIgnoreReturnValue
       public abstract ImmutableBiMap<Object, Object> create(List<Map.Entry<?, ?>> entries);
     }
   }
diff --git a/guava-tests/test/com/google/common/collect/ImmutableEnumMapTest.java b/guava-tests/test/com/google/common/collect/ImmutableEnumMapTest.java
index d39e8b4..4382e4b 100644
--- a/guava-tests/test/com/google/common/collect/ImmutableEnumMapTest.java
+++ b/guava-tests/test/com/google/common/collect/ImmutableEnumMapTest.java
@@ -22,8 +22,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.ALLOW
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Equivalence;
 import com.google.common.base.Function;
 import com.google.common.collect.testing.AnEnum;
@@ -45,7 +43,6 @@ import junit.framework.TestSuite;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class ImmutableEnumMapTest extends TestCase {
   public static class ImmutableEnumMapGenerator extends TestEnumMapGenerator {
     @Override
@@ -58,7 +55,7 @@ public class ImmutableEnumMapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
diff --git a/guava-tests/test/com/google/common/collect/ImmutableListMultimapTest.java b/guava-tests/test/com/google/common/collect/ImmutableListMultimapTest.java
index 4e0bdda..011faff 100644
--- a/guava-tests/test/com/google/common/collect/ImmutableListMultimapTest.java
+++ b/guava-tests/test/com/google/common/collect/ImmutableListMultimapTest.java
@@ -22,10 +22,7 @@ import static com.google.common.collect.testing.features.CollectionFeature.SERIA
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_ANY_NULL_QUERIES;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Equivalence;
-import com.google.common.collect.ImmutableListMultimap.Builder;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.google.ListMultimapTestSuiteBuilder;
 import com.google.common.collect.testing.google.TestStringListMultimapGenerator;
@@ -49,7 +46,6 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ImmutableListMultimapTest extends TestCase {
   public static class ImmutableListMultimapGenerator extends TestStringListMultimapGenerator {
     @Override
@@ -70,7 +66,7 @@ public class ImmutableListMultimapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -584,7 +580,7 @@ public class ImmutableListMultimapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     Multimap<String, Integer> multimap = createMultimap();
     SerializableTester.reserializeAndAssert(multimap);
@@ -597,13 +593,13 @@ public class ImmutableListMultimapTest extends TestCase {
     assertEquals(HashMultiset.create(multimap.values()), HashMultiset.create(valuesCopy));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testEmptySerialization() {
     Multimap<String, Integer> multimap = ImmutableListMultimap.of();
     assertSame(multimap, SerializableTester.reserialize(multimap));
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(ImmutableListMultimap.class);
diff --git a/guava-tests/test/com/google/common/collect/ImmutableListTest.java b/guava-tests/test/com/google/common/collect/ImmutableListTest.java
index 8f8f117..cfaa638 100644
--- a/guava-tests/test/com/google/common/collect/ImmutableListTest.java
+++ b/guava-tests/test/com/google/common/collect/ImmutableListTest.java
@@ -24,8 +24,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.SERIA
 import static java.lang.reflect.Proxy.newProxyInstance;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.MinimalCollection;
@@ -33,11 +31,6 @@ import com.google.common.collect.testing.MinimalIterable;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.google.ListGenerators.BuilderAddAllListGenerator;
 import com.google.common.collect.testing.google.ListGenerators.BuilderReversedListGenerator;
-import com.google.common.collect.testing.google.ListGenerators.ImmutableListHeadSubListGenerator;
-import com.google.common.collect.testing.google.ListGenerators.ImmutableListMiddleSubListGenerator;
-import com.google.common.collect.testing.google.ListGenerators.ImmutableListOfGenerator;
-import com.google.common.collect.testing.google.ListGenerators.ImmutableListTailSubListGenerator;
-import com.google.common.collect.testing.google.ListGenerators.UnhashableElementsImmutableListGenerator;
 import com.google.common.collect.testing.testers.ListHashCodeTester;
 import com.google.common.testing.CollectorTester;
 import com.google.common.testing.NullPointerTester;
@@ -63,10 +56,9 @@ import junit.framework.TestSuite;
  * @author George van den Driessche
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ImmutableListTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -467,7 +459,7 @@ public class ImmutableListTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public static class ConcurrentTests extends TestCase {
     enum WrapWithIterable {
       WRAP,
@@ -637,26 +629,26 @@ public class ImmutableListTest extends TestCase {
 
   public static class BasicTests extends TestCase {
 
-    @GwtIncompatible // NullPointerTester
+    // NullPointerTester
     public void testNullPointers() {
       NullPointerTester tester = new NullPointerTester();
       tester.testAllPublicStaticMethods(ImmutableList.class);
       tester.testAllPublicInstanceMethods(ImmutableList.of(1, 2, 3));
     }
 
-    @GwtIncompatible // SerializableTester
+    // SerializableTester
     public void testSerialization_empty() {
       Collection<String> c = ImmutableList.of();
       assertSame(c, SerializableTester.reserialize(c));
     }
 
-    @GwtIncompatible // SerializableTester
+    // SerializableTester
     public void testSerialization_singleton() {
       Collection<String> c = ImmutableList.of("a");
       SerializableTester.reserializeAndAssert(c);
     }
 
-    @GwtIncompatible // SerializableTester
+    // SerializableTester
     public void testSerialization_multiple() {
       Collection<String> c = ImmutableList.of("a", "b", "c");
       SerializableTester.reserializeAndAssert(c);
@@ -676,7 +668,6 @@ public class ImmutableListTest extends TestCase {
       assertEquals(asList("a", "b", "a", "c"), list);
     }
 
-    @GwtIncompatible("Builder impl")
     public void testBuilderForceCopy() {
       ImmutableList.Builder<Integer> builder = ImmutableList.builder();
       Object[] prevArray = null;
@@ -688,7 +679,6 @@ public class ImmutableListTest extends TestCase {
       }
     }
 
-    @GwtIncompatible
     public void testBuilderExactlySizedReusesArray() {
       ImmutableList.Builder<Integer> builder = ImmutableList.builderWithExpectedSize(10);
       Object[] builderArray = builder.contents;
diff --git a/guava-tests/test/com/google/common/collect/ImmutableMapTest.java b/guava-tests/test/com/google/common/collect/ImmutableMapTest.java
index 18a17a0..e30f98d 100644
--- a/guava-tests/test/com/google/common/collect/ImmutableMapTest.java
+++ b/guava-tests/test/com/google/common/collect/ImmutableMapTest.java
@@ -21,11 +21,8 @@ import static com.google.common.testing.SerializableTester.reserialize;
 import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.truth.Truth.assertWithMessage;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Equivalence;
 import com.google.common.base.Joiner;
-import com.google.common.collect.ImmutableMap.Builder;
 import com.google.common.collect.testing.AnEnum;
 import com.google.common.collect.testing.CollectionTestSuiteBuilder;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
@@ -39,15 +36,6 @@ import com.google.common.collect.testing.UnhashableObject;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapCopyOfEntriesGenerator;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapCopyOfEnumMapGenerator;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapCopyOfGenerator;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapEntryListGenerator;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapGenerator;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapKeyListGenerator;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapUnhashableValuesGenerator;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapValueListGenerator;
-import com.google.common.collect.testing.google.MapGenerators.ImmutableMapValuesAsSingletonSetGenerator;
 import com.google.common.testing.CollectorTester;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
@@ -77,10 +65,9 @@ import junit.framework.TestSuite;
  * @author Kevin Bourrillion
  * @author Jesse Wilson
  */
-@GwtCompatible(emulated = true)
 public class ImmutableMapTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(ImmutableMapTest.class);
@@ -266,7 +253,7 @@ public class ImmutableMapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public static class ReserializedMapTests extends AbstractMapTests<String, Integer> {
     @Override
     protected Map<String, Integer> makePopulatedMap() {
@@ -312,7 +299,7 @@ public class ImmutableMapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // GWT's ImmutableMap emulation is backed by java.util.HashMap.
+  // GWT's ImmutableMap emulation is backed by java.util.HashMap.
   public static class MapTestsWithUnhashableValues
       extends AbstractMapTests<Integer, UnhashableObject> {
     @Override
@@ -337,7 +324,7 @@ public class ImmutableMapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // GWT's ImmutableMap emulation is backed by java.util.HashMap.
+  // GWT's ImmutableMap emulation is backed by java.util.HashMap.
   public static class MapTestsWithSingletonUnhashableValue extends MapTestsWithUnhashableValues {
     @Override
     protected Map<Integer, UnhashableObject> makePopulatedMap() {
@@ -369,7 +356,6 @@ public class ImmutableMapTest extends TestCase {
       assertMapEquals(map, "one", 1, "two", 2, "three", 3, "four", 4, "five", 5);
     }
 
-    @GwtIncompatible
     public void testBuilderExactlySizedReusesArray() {
       ImmutableMap.Builder<Integer, Integer> builder = ImmutableMap.builderWithExpectedSize(10);
       Entry<Integer, Integer>[] builderArray = builder.entries;
@@ -883,7 +869,7 @@ public class ImmutableMapTest extends TestCase {
     assertSame(multimap1, multimap2);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(ImmutableMap.class);
@@ -940,7 +926,7 @@ public class ImmutableMapTest extends TestCase {
     assertTrue(ImmutableMap.copyOf(map) instanceof ImmutableEnumMap);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testViewSerialization() {
     Map<String, Integer> map = ImmutableMap.of("one", 1, "two", 2, "three", 3);
     LenientSerializableTester.reserializeAndAssertLenient(map.entrySet());
@@ -951,7 +937,7 @@ public class ImmutableMapTest extends TestCase {
     assertTrue(reserializedValues instanceof ImmutableCollection);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testKeySetIsSerializable_regularImmutableMap() {
     class NonSerializableClass {}
 
@@ -962,7 +948,7 @@ public class ImmutableMapTest extends TestCase {
     LenientSerializableTester.reserializeAndAssertLenient(set);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testKeySetIsSerializable_jdkBackedImmutableMap() {
     class NonSerializableClass {}
 
@@ -975,7 +961,7 @@ public class ImmutableMapTest extends TestCase {
     LenientSerializableTester.reserializeAndAssertLenient(set);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testValuesCollectionIsSerializable_regularImmutableMap() {
     class NonSerializableClass {}
 
@@ -986,7 +972,7 @@ public class ImmutableMapTest extends TestCase {
     LenientSerializableTester.reserializeAndAssertElementsEqual(collection);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testValuesCollectionIsSerializable_jdkBackedImmutableMap() {
     class NonSerializableClass {}
 
@@ -1000,7 +986,7 @@ public class ImmutableMapTest extends TestCase {
   }
 
   // TODO: Re-enable this test after moving to new serialization format in ImmutableMap.
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked")
   public void ignore_testSerializationNoDuplication_regularImmutableMap() throws Exception {
     // Tests that searializing a map, its keySet, and values only writes the underlying data once.
@@ -1030,7 +1016,7 @@ public class ImmutableMapTest extends TestCase {
   }
 
   // TODO: Re-enable this test after moving to new serialization format in ImmutableMap.
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked")
   public void ignore_testSerializationNoDuplication_jdkBackedImmutableMap() throws Exception {
     // Tests that searializing a map, its keySet, and values only writes
@@ -1064,7 +1050,6 @@ public class ImmutableMapTest extends TestCase {
     return objs;
   }
 
-  @GwtIncompatible("assumptions about splitting")
   public void testKeySetSplittable() {
     ImmutableMap<Integer, Integer> map =
         ImmutableMap.<Integer, Integer>builder()
diff --git a/guava-tests/test/com/google/common/collect/ImmutableMultimapAsMapImplementsMapTest.java b/guava-tests/test/com/google/common/collect/ImmutableMultimapAsMapImplementsMapTest.java
index 8c1f020..ba18362 100644
--- a/guava-tests/test/com/google/common/collect/ImmutableMultimapAsMapImplementsMapTest.java
+++ b/guava-tests/test/com/google/common/collect/ImmutableMultimapAsMapImplementsMapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MapInterfaceTest;
 import java.util.Collection;
 import java.util.Map;
@@ -26,7 +25,6 @@ import java.util.Map;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public class ImmutableMultimapAsMapImplementsMapTest
     extends AbstractMultimapAsMapImplementsMapTest {
 
diff --git a/guava-tests/test/com/google/common/collect/ImmutableMultimapTest.java b/guava-tests/test/com/google/common/collect/ImmutableMultimapTest.java
index ac09593..df71d86 100644
--- a/guava-tests/test/com/google/common/collect/ImmutableMultimapTest.java
+++ b/guava-tests/test/com/google/common/collect/ImmutableMultimapTest.java
@@ -16,9 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableMultimap.Builder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.SampleElements.Unhashables;
 import com.google.common.collect.testing.UnhashableObject;
@@ -33,7 +30,6 @@ import junit.framework.TestCase;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ImmutableMultimapTest extends TestCase {
 
   public void testBuilder_withImmutableEntry() {
@@ -127,7 +123,7 @@ public class ImmutableMultimapTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(ImmutableMultimap.class);
diff --git a/guava-tests/test/com/google/common/collect/ImmutableMultisetTest.java b/guava-tests/test/com/google/common/collect/ImmutableMultisetTest.java
index 3cb6d75..60c82a3 100644
--- a/guava-tests/test/com/google/common/collect/ImmutableMultisetTest.java
+++ b/guava-tests/test/com/google/common/collect/ImmutableMultisetTest.java
@@ -20,8 +20,6 @@ import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.MinimalCollection;
 import com.google.common.collect.testing.SetTestSuiteBuilder;
@@ -36,7 +34,6 @@ import com.google.common.testing.CollectorTester;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -55,10 +52,9 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ImmutableMultisetTest extends TestCase {
 
-  @GwtIncompatible // suite // TODO(cpovirk): add to collect/gwt/suites
+  // suite // TODO(cpovirk): add to collect/gwt/suites
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(ImmutableMultisetTest.class);
@@ -579,33 +575,33 @@ public class ImmutableMultisetTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(ImmutableMultiset.class);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization_empty() {
     Collection<String> c = ImmutableMultiset.of();
     assertSame(c, SerializableTester.reserialize(c));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization_multiple() {
     Collection<String> c = ImmutableMultiset.of("a", "b", "a");
     Collection<String> copy = SerializableTester.reserializeAndAssert(c);
     assertThat(copy).containsExactly("a", "a", "b").inOrder();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization_elementSet() {
     Multiset<String> c = ImmutableMultiset.of("a", "b", "a");
     Collection<String> copy = LenientSerializableTester.reserializeAndAssertLenient(c.elementSet());
     assertThat(copy).containsExactly("a", "b").inOrder();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization_entrySet() {
     Multiset<String> c = ImmutableMultiset.of("a", "b", "c");
     SerializableTester.reserializeAndAssert(c.entrySet());
@@ -640,7 +636,7 @@ public class ImmutableMultisetTest extends TestCase {
     assertEquals(4, list.lastIndexOf("b"));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization_asList() {
     ImmutableMultiset<String> multiset = ImmutableMultiset.of("a", "a", "b", "b", "b");
     SerializableTester.reserializeAndAssert(multiset.asList());
@@ -715,7 +711,6 @@ public class ImmutableMultisetTest extends TestCase {
         }
       };
 
-      @CanIgnoreReturnValue
       @Override
       public abstract ImmutableMultiset<Object> create(List<?> keys);
     }
